org.firebirdsql.gds.ng.jna

## Class FbEmbeddedDatabaseFactory

- java.lang.Object
- - org.firebirdsql.gds.ng.jna.AbstractNativeDatabaseFactory
  - - org.firebirdsql.gds.ng.jna.FbEmbeddedDatabaseFactory

- All Implemented Interfaces:
    FbDatabaseFactory

      public class FbEmbeddedDatabaseFactory
      extends AbstractNativeDatabaseFactory

  Implementation of `FbDatabaseFactory` for establishing connection using the Firebird embedded library.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FbEmbeddedDatabaseFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FbClientLibrary` | `createClientLibrary()` Creates and initialize a new instance of the client library.
    `protected <T extends IAttachProperties<T>> T` | `filterProperties(T attachProperties)` Allows the database factory to perform modification of the attach properties before use.
    `static FbEmbeddedDatabaseFactory` | `getInstance()`

    - ### Methods inherited from class org.firebirdsql.gds.ng.jna.AbstractNativeDatabaseFactory

      `connect, getClientLibrary, serviceConnect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FbEmbeddedDatabaseFactory

          public FbEmbeddedDatabaseFactory()

  - ### Method Detail

    - #### filterProperties

          protected <T extends IAttachProperties<T>> T filterProperties(T attachProperties)

      Description copied from class: `AbstractNativeDatabaseFactory`
      Allows the database factory to perform modification of the attach properties before use.

      Implementations should be prepared to handle immutable attach properties. Implementations are strongly advised to copy the attach properties before modification and return this copy.

      Overrides:
        `filterProperties` in class `AbstractNativeDatabaseFactory`
      Type Parameters:
        `T` - Type of attach properties
      Parameters:
        `attachProperties` - Attach properties
      Returns:
        Filtered properties

    - #### getInstance

          public static FbEmbeddedDatabaseFactory getInstance()

    - #### createClientLibrary

          protected FbClientLibrary createClientLibrary()

      Description copied from class: `AbstractNativeDatabaseFactory`
      Creates and initialize a new instance of the client library.

      Instances should not be cached (caching - if any - is the responsibility of the caller).

      Specified by:
        `createClientLibrary` in class `AbstractNativeDatabaseFactory`
      Returns:
        new client library instance

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.